-- CreateICALToDo.applescript
-- BIViews

--  Created by Alykhan Jetha on 13/05/05.
--  Copyright (c) 2003 Marketcircle Inc.. All rights reserved.

on getCalendar(name)
	tell application "iCal"
		set cal_index to -1
		set total to count every calendar
		repeat with x from 1 to total
			tell calendar x
				if title is equal to name then
					set cal_index to x
				end if
			end tell
		end repeat
		
		if cal_index is equal to -1 then
			make new calendar at the end of calendars with properties {title:name}
			
			set cal_index to number of calendars
		end if
		
		return calendar cal_index
	end tell
end getCalendar


tell application "iCal"
	set cal to getCalendar("Billings") of me
	
	set props to {due date:date "Saturday, May 7, 2005 12:00:00 AM", description:"**notes**", summary:"**summary**"}
	
	set todo_item to (make new todo with properties props at end of cal)
	
	return uid of todo_item
end tell